.login-page-content .pmpro_section .pmpro_card_actions a {
    display: inline-flex;
    width: fit-content;
    align-items: center;
}

.login-page-content .pmpro_section .pmpro_card_actions a {
    position: relative;
    color: var(--secondary-color);
}

.login-page-content .pmpro_section .pmpro_card_actions a::before {
    content: "";
    position: absolute;
    left: 0;
    bottom: -1px;
    width: 100%;
    height: 1px;
    background-color: currentColor;
    max-width: 100%;
    transform-origin: left;
    transition: max-width 0.4s ease;
}

.login-page-content .pmpro_section .pmpro_card_actions a:hover::before {
    max-width: 0;
}

main.register-page .register-page-content .register-form button.solid-blue-btn:hover {
    border-color: var(--primary-color);
}

main.login-page {
    min-height: calc(100vh - 66px - 333px);
    display: flex;
    flex-direction: column;
    gap: 24px;
    justify-content: center;
}

main.login-page .page-heading h1 {
    font-size: 40px;
    font-weight: 500;
    line-height: 120%;
    letter-spacing: -1px;
}

main.login-page .pmpro {
    max-width: 496px;
    margin: auto;
}

.pmpro-login .login-page .pmpro .pmpro_card {
    background-color: transparent;
    border: none;
    box-shadow: none;
}

.pmpro-login .login-page .pmpro .pmpro_card,
.pmpro-login .login-page .pmpro .pmpro_section {
    margin: 0;
}

.pmpro-login .login-page .pmpro_card_content,
main.register-page .register-page-content .register-form {
    padding: 24px;
}

.pmpro-login .login-page .pmpro_card_content {
    background-color: var(--white);
    border-radius: 12px;
}

main.register-page .register-page-content .register-form {
    padding-top: 32px;
}

.login-page-content .pmpro_card_content form label {
    font-weight: 400 !important;
}

form#loginform,
form#lostpasswordform,
.register-page-content .register-form form.verify-otp-form {
    display: flex;
    flex-direction: column;
    gap: 18px;
}

form#loginform .pmpro_form_field-password-toggle button {
    justify-content: end;
}

form#loginform .pmpro_form_field-password-toggle .pmpro_form_field-password-toggle-state {
    display: none;
}

form#loginform .pmpro_form_field-password-toggle button .pmpro_icon-eye svg {
    stroke: var(--black);
}

form#loginform .pmpro_form_field-password-toggle button:focus,
form#loginform .pmpro_form_field-password-toggle button:active {
    box-shadow: none;
}

.pmpro-login form#loginform p,
.pmpro-login .pmpro_lost_password-instructions {
    margin: 0 !important;
}

.pmpro-login form#loginform p.login-submit,
.pmpro-login #lostpasswordform .pmpro_form_submit {
    margin: auto !important;
}

form#loginform p.login-remember label {
    padding: 0 !important;
    display: flex;
    flex-direction: row-reverse;
    flex-shrink: 0;
    align-items: center;
    justify-content: left;
    gap: 12px;
}

.login-page-content .pmpro_section .pmpro_card_content form#loginform p.login-remember input {
    width: fit-content;
    cursor: pointer;
    accent-color: var(--primary-color);
}

.login-page-content .pmpro_section .pmpro_card_actions {
    background-color: transparent;
    padding: 24px 12px;
    border: none;
    text-align: center;
}

.login-page-content .pmpro_section .pmpro_card_actions a {
    font-weight: 500;
    line-height: 130%;
}

.login-page-content .pmpro_section .pmpro_card_actions a:nth-child(2) {
    color: #B01C1E;
}

.login-password.form-field {
    gap: 0;
}

.login-page-content .pmpro_section .pmpro_card_content form#loginform .input {
    background-color: transparent;
    outline: none;
    border: none;
    border-bottom: 1px solid #A2A2A2;
    color: var(--black);
    font-family: 'Roboto', sans-serif;
    font-size: 20px;
    font-weight: 400;
    line-height: 140%;
    padding: 12px 10px;
    width: 100%;
    border-radius: 0;
}

.pmpro-login .pmpro_section #loginform .login-password label,
.pmpro-login .pmpro_section #loginform .login-password input {
    grid-area: unset !important;
}

/* #loginform p.login-submit,
#lostpasswordform .pmpro_form_submit {
    position: relative;
    border-radius: 10px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-width: 88px;
    padding: 0 20px;
    gap: 0;
    height: 50px;
    flex-wrap: nowrap;
    width: fit-content;
    border: 1px solid var(--primary-color);
    background-color: var(--primary-color);
    transition: border ease 0.4s, background-color ease 0.4s, color ease 0.4s;
} */

.pmpro-login .pmpro_section #loginform .login-submit input.button,
#lostpasswordform .pmpro_form_submit input[type="submit"] {
    color: var(--white);
    font-size: 16px;
    font-weight: 600;
    border: 1px solid var(--primary-color);
    background-color: var(--primary-color);
    border-radius: 10px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 40px;
    min-width: 88px;
    padding: 0 20px;
    width: fit-content;
    box-shadow: none;
    transition: border ease 0.4s, background-color ease 0.4s, color ease 0.4s;
}
/* 
.pmpro-login .pmpro_section #loginform .login-submit input.button:hover {
    color: var(--white);
} */

.pmpro .pmpro_section #loginform p.login-submit input[type="submit"]:hover,
#lostpasswordform .pmpro_form_submit input[type="submit"]:hover {
    /* background-color: transparent;
    border: none; */
    border: 1px solid var(--primary-color);
    background-color: var(--white);
    color: var(--primary-color);
}
/* 
#loginform p.login-submit::after,
#lostpasswordform .pmpro_form_submit::after {
    content: "";
    -webkit-mask: url('../../images/arrow-right.svg') no-repeat center;
    mask: url('../../images/arrow-right.svg') no-repeat center;
    background-color: var(--white);
    width: 20px;
    height: 20px;
    margin-left: 4px;
    transition: transform 0.4s ease;
}

#loginform p.login-submit:hover::after,
#lostpasswordform .pmpro_form_submit:hover::after {
    transform: translateX(10px);
} */

.pmpro .pmpro_form_input:focus,
.login-page-content .pmpro_section .pmpro_card_content form#loginform .input:focus {
    border: none;
    outline: none;
    border-bottom: 1px solid var(--black);
    background-color: transparent;
}

/* .pmpro-login .pmpro_section #loginform .login-submit input.button {
    background-color: transparent;
    border: none;
    border-radius: 0;
    box-shadow: none;
    padding: 0;
} */

.login-page-content .pmpro_section .pmpro_card_content form#loginform .input,
.register-page-content .register-form form input {
    padding: 12px 10px;
}

.pmpro .pmpro_form_input:focus,
.login-page-content .pmpro_section .pmpro_card_content form#loginform .input:focus {
    box-shadow: none;
}

.pmpro-login form#loginform p.form-field {
    margin-bottom: 20px !important;
}

.login-username.form-field label,
.login-password.form-field label {
    top: 6px;
    padding: 0 10px
}

.login-username.form-field:focus-within label,
.login-username.form-field.filled label,
.login-password.form-field:focus-within label,
.login-password.form-field.filled label {
    top: -36px;
    font-size: 14px;
}

main.register-page .register-page-content .register-form {
    border-radius: 12px;
    background-color: var(--white);
}

.register-page-content .register-form form .col-sm-6 input,
main.register-page .register-page-content .register-form p {
    margin-bottom: 16px;
}

.register-page-content .register-form form .col-sm-6 input:last-of-type {
    margin-bottom: 0;
}

.register-page-content .register-form form button {
    margin: auto;
    cursor: pointer;
}

#customer-code-status{
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 10px;
    border-radius: 60px;
    position: absolute;
    right: 0;
    top: -16px;
    font-size: 12px;
    font-weight: 500;
    line-height: 18.9px; 
}

#customer-code-status.valid {
    background-color: #E0F5ED;
    color: #00A86B;
}

#customer-code-status.invalid{
    background-color: #f5e0e0;
    color: #B01C1E;
}

#customer-code-status.checking {
    background-color: #f5f4e0;
    color: #b0861c;
}

.register-form p{
    color: #B01C1E;
}

.otp-modal {
    position: fixed;
    inset: 0;
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
}

.otp-modal-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.4);
}

.otp-modal-content {
    position: relative;
    z-index: 2;
    background: #fff;
    width: 90%;
    max-width: 634px;
    padding: 40px;
    border-radius: 12px;
    text-align: center;
}

.otp-modal-content h3 {
    margin-bottom: 10px;
    font-size: 32px;
    font-weight: 500;
    line-height: 120%;
    letter-spacing: -1px;
}

.otp-modal-content p {
    margin-bottom: 25px;
    color: #666;
}

.otp-modal-close {
    position: absolute;
    top: 10px;
    right: 15px;
    background: none;
    border: none;
    font-size: 28px;
    line-height: 1;
    cursor: pointer;
}

body.otp-modal-open {
    overflow: hidden;
}

@media screen and (max-width: 767px) {
    #loginform p.login-submit,
    #lostpasswordform .pmpro_form_submit{
        height: 40px;
    }
}